nettop(1)

NAME
nettop - Display updated information about the network

SYNOPSIS
nettop [-nc] [-m <mode>]

DESCRIPTION
The nettop program displays a list of sockets or routes. The counts for network structures are updated periodically. While the program is running the following keys may be used:

q   Quit

Up Arrow
    Scroll up

Down Arrow
    Scroll down

Right Arrow
    Scroll Right

Left Arrow
    Scroll Left

d   Toggle delta output

r   Redraw screen

p   Toggle human readable numbers

e   Expand all

c   Collapse all

h   Bring up the help menu

j   Bring up the column selection menu. In this mode you can enable/disable columns and change their order.

OPTIONS
A list of flags and their descriptions:

-m <mode>
    Specify the mode. By default, nettop will monitor TCP and UDP sockets. The following modes are supported:

    tcp Only TCP sockets will be monitored

    udp Only UDP sockets will be monitored

    route
        Instead of sockets, the routing table will be monitored

-n  Disable address to name resolution

-c  Less intensive use of the CPU - draws less often